GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
gridfire::policy::ProtonProtonIIChainPolicy Class Referencefinal

Proton-Proton II Chain Policy. More...

`#include <chains.h>`

Inheritance diagram for gridfire::policy::ProtonProtonIIChainPolicy:
[legend]
Collaboration diagram for gridfire::policy::ProtonProtonIIChainPolicy:
[legend]

## Public Member Functions
| ProtonProtonIIChainPolicy ()
std::unique_ptr< ReactionChainPolicy > | clone () const override
std::string | name () const override
Public Member Functions inherited from gridfire::policy::TemperatureDependentChainPolicy
| TemperatureDependentChainPolicy (const std::vector< std::string > &reactionIDs)
| Construct a new Temperature Dependent Chain Policy object.
| TemperatureDependentChainPolicy (const std::vector< std::string > &reactionIDs, std::optional< double > minT9)
| Construct a new Temperature Dependent Chain Policy object.
| TemperatureDependentChainPolicy (const std::vector< std::string > &reactionIDs, std::optional< double > minT9, std::optional< double > maxT9)
| Construct a new Temperature Dependent Chain Policy object.
| ~TemperatureDependentChainPolicy () override=default
| Virtual destructor.
const reaction::ReactionSet & | get_reactions () const override
| Get the reactions that comprise the chain.
bool | contains (const std::string &id) const override
| Check if a reaction or reaction ID is part of the chain.
bool | contains (const reaction::Reaction &reaction) const override
| Check if a reaction is part of the chain.
uint64_t | hash (uint64_t seed) const override
| Generate the hash for the reaction chain policy.
bool | operator== (const ReactionChainPolicy &other) const override
| Equality operator.
bool | operator!= (const ReactionChainPolicy &other) const override
| Inequality operator.
bool | is_active (double T9) const
| Check if the reaction chain is active at a given temperature.
Public Member Functions inherited from gridfire::policy::ReactionChainPolicy
virtual | ~ReactionChainPolicy ()=default

## Additional Inherited Members
Protected Attributes inherited from gridfire::policy::TemperatureDependentChainPolicy
ActiveTempRange | m_tempRange
| Active temperature range for the reaction chain.
std::vector< std::string > | m_reactionIDs
| Vector of reaction IDs that comprise the chain.
reaction::ReactionSet | m_reactions
| Set of reactions that comprise the chain.

## Detailed Description

Proton-Proton II Chain Policy.

This class implements the Proton-Proton II chain of nuclear reactions. This chain's minimum temperature is set to T9=0.001 (or 1e6K). This chain includes reactions:

- p(p,e+)d
- d(p,g)he3
- he4(he3,g)be7
- be7(e-,)li7
- li7(p,a)he4

## Constructor & Destructor Documentation

## ◆ ProtonProtonIIChainPolicy()

gridfire::policy::ProtonProtonIIChainPolicy::ProtonProtonIIChainPolicy | ( |  | ) |

## Member Function Documentation

## ◆ clone()

std::unique_ptr< ReactionChainPolicy > gridfire::policy::ProtonProtonIIChainPolicy::clone | ( |  | ) | const
| override virtual

Implements gridfire::policy::ReactionChainPolicy.

## ◆ name()

std::string gridfire::policy::ProtonProtonIIChainPolicy::name | ( |  | ) | const
| override virtual

Implements gridfire::policy::ReactionChainPolicy.

The documentation for this class was generated from the following files:

- src/include/gridfire/policy/chains.h
- src/lib/policy/chains.cpp